{
  "calendarStyle" : "TIMELINE",
  "codeName" : "IBIZBOOKPANEL",
  "controlType" : "CALENDAR",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSCALENDARS/IBIZBOOKPANEL.json",
  "groupMode" : "NONE",
  "legendPos" : "NONE",
  "logicName" : "图书管理日历（项布局面板）",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/pssyscalendars/IBIZBOOKPANEL",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppViewLogics" : [ {
    "eventArg" : "deuiaction1",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "cm_deuiaction1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "cm_deuiaction1"
    },
    "getPSViewCtrlName" : "cm"
  }, {
    "eventArg" : "deuiaction2",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "cm_deuiaction2_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "cm_deuiaction2"
    },
    "getPSViewCtrlName" : "cm"
  }, {
    "eventArg" : "deuiaction3",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "cm_deuiaction3_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "cm_deuiaction3"
    },
    "getPSViewCtrlName" : "cm"
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "cm_deuiaction1",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Save"
    },
    "xDataControlName" : "calendar"
  }, {
    "name" : "cm_deuiaction2",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Edit"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "calendar"
  }, {
    "name" : "cm_deuiaction3",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Refresh"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "calendar"
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr3CalendarViewcm",
    "controlType" : "CONTEXTMENU",
    "hookEventNames" : [ "CLICK" ],
    "logicName" : "日历工具栏",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdetoolbars/Usr3CalendarViewcm",
    "name" : "cm",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlLogics" : [ {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTag" : "cm",
      "logicType" : "APPVIEWLOGIC",
      "name" : "cm_deuiaction1_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "cm_deuiaction1_click"
      }
    }, {
      "eventArg" : "deuiaction2",
      "eventNames" : "CLICK",
      "logicTag" : "cm",
      "logicType" : "APPVIEWLOGIC",
      "name" : "cm_deuiaction2_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "cm_deuiaction2_click"
      }
    }, {
      "eventArg" : "deuiaction3",
      "eventNames" : "CLICK",
      "logicTag" : "cm",
      "logicType" : "APPVIEWLOGIC",
      "name" : "cm_deuiaction3_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "cm_deuiaction3_click"
      }
    } ],
    "getPSControlParam" : {
      "id" : "cm"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.SAVE",
        "mOSFilePath" : "pslanguageres/Auto71",
        "rTMOSFilePath" : "pslanguageres/Auto71"
      },
      "caption" : "保存",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "cm_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c7@FontAwesome",
        "cssClass" : "fa fa-save"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.SAVE",
          "mOSFilePath" : "pslanguageres/Auto71",
          "rTMOSFilePath" : "pslanguageres/Auto71"
        },
        "caption" : "保存",
        "codeName" : "Save",
        "fullCodeName" : "Save",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Save",
        "name" : "编辑界面_保存操作",
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "predefinedType" : "EDITVIEW_SAVEACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Save",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.SAVE",
          "mOSFilePath" : "pslanguageres/Auto1630",
          "rTMOSFilePath" : "pslanguageres/Auto1630"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Save",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.SAVE",
        "mOSFilePath" : "pslanguageres/Auto1630",
        "rTMOSFilePath" : "pslanguageres/Auto1630"
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.EDIT",
        "mOSFilePath" : "pslanguageres/Auto1585",
        "rTMOSFilePath" : "pslanguageres/Auto1585"
      },
      "caption" : "编辑",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction2",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "cm_deuiaction2"
      },
      "getPSSysImage" : {
        "glyph" : "xf044@FontAwesome",
        "cssClass" : "fa fa-edit"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT",
          "mOSFilePath" : "pslanguageres/Auto1585",
          "rTMOSFilePath" : "pslanguageres/Auto1585"
        },
        "caption" : "编辑",
        "codeName" : "Edit",
        "fullCodeName" : "Edit",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
        "name" : "表格界面_编辑操作",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "predefinedType" : "GRIDVIEW_EDITACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT",
          "mOSFilePath" : "pslanguageres/Auto834",
          "rTMOSFilePath" : "pslanguageres/Auto834"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Edit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "编辑",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.EDIT",
        "mOSFilePath" : "pslanguageres/Auto834",
        "rTMOSFilePath" : "pslanguageres/Auto834"
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "刷新",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "cm_deuiaction3"
      },
      "getPSSysImage" : {
        "glyph" : "xf021@FontAwesome",
        "cssClass" : "fa fa-refresh"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "caption" : "刷新",
        "codeName" : "Refresh",
        "fullCodeName" : "Refresh",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Refresh",
        "name" : "编辑界面_刷新操作",
        "getPSSysImage" : {
          "glyph" : "xf021@FontAwesome",
          "cssClass" : "fa fa-refresh"
        },
        "predefinedType" : "EDITVIEW_REFRESHACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Refresh",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "Refresh",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "刷新",
      "showCaption" : true,
      "showIcon" : true
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr3CalendarView/psappviewctrls/cm",
    "modelid" : "b5f265a97376e60ddeef17447557883a",
    "modeltype" : "PSDETOOLBAR"
  } ],
  "getPSSysCalendarItems" : [ {
    "getBeginTimePSAppDEField" : {
      "name" : "LENDOUTTIME",
      "codeName" : "Lendouttime"
    },
    "getEndTimePSAppDEField" : {
      "name" : "RETURNTIME",
      "codeName" : "Returntime"
    },
    "getIdPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    },
    "itemStyle" : "DEFAULT",
    "itemType" : "item1",
    "maxSize" : -1,
    "name" : "图书管理",
    "getPSAppDEDataSet" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSDEContextMenu" : {
      "codeName" : "Usr3CalendarViewcm",
      "controlType" : "CONTEXTMENU",
      "hookEventNames" : [ "CLICK" ],
      "logicName" : "日历工具栏",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdetoolbars/Usr3CalendarViewcm",
      "name" : "cm",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "getPSControlLogics" : [ {
        "eventArg" : "deuiaction1",
        "eventNames" : "CLICK",
        "logicTag" : "cm",
        "logicType" : "APPVIEWLOGIC",
        "name" : "cm_deuiaction1_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "cm_deuiaction1_click"
        }
      }, {
        "eventArg" : "deuiaction2",
        "eventNames" : "CLICK",
        "logicTag" : "cm",
        "logicType" : "APPVIEWLOGIC",
        "name" : "cm_deuiaction2_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "cm_deuiaction2_click"
        }
      }, {
        "eventArg" : "deuiaction3",
        "eventNames" : "CLICK",
        "logicTag" : "cm",
        "logicType" : "APPVIEWLOGIC",
        "name" : "cm_deuiaction3_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "cm_deuiaction3_click"
        }
      } ],
      "getPSControlParam" : {
        "id" : "cm"
      },
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.SAVE",
          "mOSFilePath" : "pslanguageres/Auto71",
          "rTMOSFilePath" : "pslanguageres/Auto71"
        },
        "caption" : "保存",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "cm_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.SAVE",
            "mOSFilePath" : "pslanguageres/Auto71",
            "rTMOSFilePath" : "pslanguageres/Auto71"
          },
          "caption" : "保存",
          "codeName" : "Save",
          "fullCodeName" : "Save",
          "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Save",
          "name" : "编辑界面_保存操作",
          "getPSSysImage" : {
            "glyph" : "xf0c7@FontAwesome",
            "cssClass" : "fa fa-save"
          },
          "predefinedType" : "EDITVIEW_SAVEACTION",
          "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Save",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.SAVE",
            "mOSFilePath" : "pslanguageres/Auto1630",
            "rTMOSFilePath" : "pslanguageres/Auto1630"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Save",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "保存",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.SAVE",
          "mOSFilePath" : "pslanguageres/Auto1630",
          "rTMOSFilePath" : "pslanguageres/Auto1630"
        },
        "showCaption" : true,
        "showIcon" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT",
          "mOSFilePath" : "pslanguageres/Auto1585",
          "rTMOSFilePath" : "pslanguageres/Auto1585"
        },
        "caption" : "编辑",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction2",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "cm_deuiaction2"
        },
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT",
            "mOSFilePath" : "pslanguageres/Auto1585",
            "rTMOSFilePath" : "pslanguageres/Auto1585"
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
          "name" : "表格界面_编辑操作",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT",
            "mOSFilePath" : "pslanguageres/Auto834",
            "rTMOSFilePath" : "pslanguageres/Auto834"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "编辑",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT",
          "mOSFilePath" : "pslanguageres/Auto834",
          "rTMOSFilePath" : "pslanguageres/Auto834"
        },
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "刷新",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction3",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "cm_deuiaction3"
        },
        "getPSSysImage" : {
          "glyph" : "xf021@FontAwesome",
          "cssClass" : "fa fa-refresh"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "caption" : "刷新",
          "codeName" : "Refresh",
          "fullCodeName" : "Refresh",
          "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Refresh",
          "name" : "编辑界面_刷新操作",
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "predefinedType" : "EDITVIEW_REFRESHACTION",
          "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Refresh",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "Refresh",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "刷新",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr3CalendarView/psappviewctrls/cm",
      "modelid" : "b5f265a97376e60ddeef17447557883a",
      "modeltype" : "PSDETOOLBAR"
    },
    "getPSLayoutPanel" : {
      "getAllPSPanelFields" : [ {
        "id" : "field1",
        "viewFieldName" : "title"
      }, {
        "id" : "field2",
        "viewFieldName" : "start"
      }, {
        "id" : "field3",
        "viewFieldName" : "end"
      } ],
      "codeName" : "Auto1",
      "controlType" : "PANEL",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSPANELS/Auto1.json",
      "layoutMode" : "TABLE_24COL",
      "logicName" : "日历项布局面板",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/pssysviewpanels/Auto1",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "getPSControlParam" : { },
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr3CalendarView/psappviewctrls/item1layoutpanel",
      "getRootPSPanelItems" : [ {
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container1",
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSPanelItems" : [ {
          "caption" : "图书名",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field1",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "field1",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "viewFieldName" : "title",
          "hidden" : false,
          "showCaption" : false
        }, {
          "caption" : "借出日期",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field2",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "field2",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "viewFieldName" : "start",
          "hidden" : false,
          "showCaption" : false
        }, {
          "caption" : "归还日期",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field3",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "field3",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "viewFieldName" : "end",
          "hidden" : false,
          "showCaption" : false
        } ]
      } ],
      "layoutPanel" : true,
      "name" : "item1layoutpanel",
      "modelid" : "32a693530b12e4b97381964587a01cc7",
      "modeltype" : "PSSYSVIEWPANEL"
    },
    "getTextPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    },
    "enableQuickCreate" : false,
    "id" : "item1"
  } ],
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKUsr3CalendarView/psappviewctrls/calendar",
  "enableGroup" : false,
  "modelid" : "dfd48f2678d80df045a23cf782d25ef1",
  "modeltype" : "PSSYSCALENDAR"
}